From: <a href="/blend/av.cgi?id=900">rennielorca</a><BR>
Date: 26 June 2007<P>

Congrats on all the front pagers!<BR>
<BR>
B.K., (some real history here) after encouraging him for months, I put Mike's first artwork out to the public by publishing a b/w drawing of his in a newspaper. Mike and I were school "hall monitors" across from each other long ago. I had the privilege of seeing him draw many works of art each week. I still have a copy of that first published work (a snail) here in my filing cabinets. I was talking to another author, Terry Wood, years ago and mentioned Mike. She and two other writers told me (or the gist went) that Mike had some argument about the value of his plates for his artwork with the IRS, so he quit producing for some time. It is a treat to see any of his work again anywhere. Hopefully, some of his family will show up for a school reunion this fall. Thanks for the link ...... Rennie
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 26 June 2007<P>

I've met him before at Art shows (way back) but I had forgotten about him until I bought this at an estate sale. I came home and googled him and found the picture (a numbered print way back in the 70's was 400 bucks) This is just a print but its stamped and signed both. I know I've seen this very spot he's painted. (I bet you would know where it's at) I do like his Tennessee Rural Life series. It's lovely and magic to dream a little on.
<HR>
From: <a href="/blend/av.cgi?id=1176">aparajita</a><BR>
Date: 26 June 2007<P>

just me, about <a href="/blend/wv.cgi?id=2007.06.25.13.30.8783">A river for "Poppy"</a>:  so sorry for your loss... blender hugs to you and your family.<BR>

<HR>
From: <a href="/blend/av.cgi?id=8">Ali</a><BR>
Date: 26 June 2007<P>

darwin, about <a href="/blend/wv.cgi?id=2007.06.26.11.45.28204">the roads we walk</a>:<BR>
<BR>
Absolutely beautiful.  Struck a chord in my heart.  Thank you so very sweetly for sharing this; I am so glad to have read it. :-)
<HR>